import 'package:flutter/material.dart';
import 'package:matrix_flutter_app_v2/animate/slide.dart';
import 'package:matrix_flutter_app_v2/view/home.dart';
import 'package:matrix_flutter_app_v2/view/media_query.dart';
import 'package:matrix_flutter_app_v2/view/video/video.dart';

import 'animate/fade.dart';

void main() {
  runApp(const MyApp());
}

class MyApp extends StatelessWidget {
  const MyApp({super.key});

  // This widget is the root of your application.
  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      debugShowMaterialGrid: false,
      debugShowCheckedModeBanner: false,
      title: '测试demo',
      theme: ThemeData(
        useMaterial3: false,
      ),
      initialRoute: "/video",
      routes: {
        '/': (ctx) => const MyHomePage(title: 'Flutter Demo Home Page'),
        '/media': (ctx) => const Slide(child:  CustomMediaQuery()),
        // '/video': (ctx)=> const CustomVideoPlayer(url: "http://[2409:8087:1e03:21::2]:6060/cms001/ch00000090990000001022/index.m3u8")
        //'/video': (ctx)=> const CustomVideoPlayer(url: "http://10.10.10.200:20480/d/sk-pi/sk-16t/Movie/%E5%A5%87%E5%BC%82%E5%8D%9A%E5%A3%AB.MP4?sign=6uVNOeLwBBCB-pVUz1WdLnAS7kWtXq6PQJ5TcCrXKFY=:0")
        '/video': (ctx)=> const CustomVideoPlayer(url: "http://10.10.10.200:20480/d/sk-pi/sk-16t/Movie/FV4005%E7%89%B9%E8%BE%91-%E4%B8%80%E7%82%AE%E4%B8%80%E4%B8%AA%E8%BF%98%E6%9C%89%E8%B0%81%EF%BC%9F_%E5%93%94%E5%93%A9%E5%93%94%E5%93%A9%20(%E3%82%9C-%E3%82%9C)%E3%81%A4%E3%83%AD%20%E5%B9%B2%E6%9D%AF~-bilibili.FLV?sign=G79NE1rSQUrofuBiT0PXZpv6lsSvgiij2zfG_SB1eE0=:0")
        //'/video': (ctx)=> const CustomVideoPlayer(url: "http://[2409:8087:2001:20:2800:0:df6e:eb27]:80/wh7f454c46tw3352677969_1732462333/ott.mobaibox.com/PLTV/3/224/3221228524/index.m3u8")
      },
    );
  }
}
